package ru.rsdn.defensive;

/**
 * Хранитель объекта, который предполагает возможность поступления ошибочных
 * данных и локализует ошибку
 */
public class ObjectHolder {
	private final Object obj;

	/**
	 * Конструктор
	 * @param _obj объект
	 */
	public ObjectHolder(Object _obj) {
		if (_obj == null)
			throw new NullPointerException("Пустой параметр");
		obj = _obj;
	}

	@Override
	public String toString() {
		return obj.toString();
	}
}
